Subject: Docs lack sufficient examples of programmatic use-cases ....

From: Keith David Bershatsky <[email-masked]>
Date: Wed, 12 Mar 2025 21:25:44 -0700

Dear Support:

The docs lack sufficient examples of programmatic use-cases ....

Here is something that I could not have figured out without a stroke of luck by locating one (1) lone example on Google of a use-case with link-to-string-match, a clip from a video tutorial, and a portion of the doc string of defil.  The following reddit thread describes my journey down the rabbit hole, and the only response after 12 hours has been from one participant who said he/she recommends not using Hyperbole for this particular use-case ...

https://www.reddit.com/r/emacs/comments/1j9pohx/hyperbole_jump_to_unique_id_in_file_nonorg/?ref=share&ref_source=link

In fact, there was only one thread that I found from about 21 years ago that was remotely on-point, but there were no examples posted of the eventual solution by the OP ...

Glad that I found / wrote the solution I needed, and I am looking forward to using this package in the future.  As it stands now, customization of this package appears to be only for expert programmers who can figure most of it out just by studying the code.  Thank God and Google!

Sincerely,

Keith David Bershatsky